View Issue Details

IDProjectCategoryView StatusLast Update
0004433PathBugpublic2020-09-15 19:30
Reportermandd Assigned Toruss4262  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
OSDebianOS Version11 
Product Version0.19 
Summary0004433: profile operation cut side resets
Descriptionhttps://forum.freecadweb.org/viewtopic.php?f=15&t=49459
Steps To Reproducewhen re-selecting/changing geometry on existing profile operation, cut side is reset to "outside" even if it was set to "inside" prior.
TagsNo tags attached.
FreeCAD InformationOS: Debian GNU/Linux bullseye/sid (XFCE/lightdm-xsession)
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.19.22279 (Git)
Build type: Unknown
Branch: feature/base_geometry_fix
Hash: b9f308b0112eea742b9c7f9a05a664afed4b6bf5
Python version: 3.8.5
Qt version: 5.14.2
Coin version: 4.0.0
OCC version: 7.4.0
Locale: English/Canada (en_CA)

Activities

russ4262

2020-09-15 19:30

developer   ~0014756

Fix committed to master branch.

Related Changesets

FreeCAD: master 47b27edd

2020-09-12 05:24:25

russ4262

Details Diff
[Path] Fixes 0004433 - `Cut Side` reset with certain Base Geometry changes

`Cut Side` value was hard-coded to reset when Base Geometry was empty. This disallowed retention of the current value with changes to selected Base Geometry involving the clearing thereof.
Also restored fixed visibility to `Cut Side` option in Task panel editor per forum mention.
Affected Issues
0004433
mod - src/Mod/Path/PathScripts/PathProfileGui.py Diff File

FreeCAD: master 2921a0c6

2020-09-15 19:12:01

sliptonic


Committer: GitHub Details Diff
Merge pull request 0003861 from Russ4262/profile_reset_fix

[Path] Fixes 0004433 - `Cut Side` reset with certain Base Geometry changes
Affected Issues
0004433
mod - src/Mod/Path/PathScripts/PathProfileGui.py Diff File

Issue History

Date Modified Username Field Change
2020-09-10 22:08 mandd New Issue
2020-09-15 19:30 sliptonic Changeset attached => FreeCAD master 2921a0c6
2020-09-15 19:30 russ4262 Changeset attached => FreeCAD master 47b27edd
2020-09-15 19:30 russ4262 Note Added: 0014756
2020-09-15 19:30 russ4262 Assigned To => russ4262
2020-09-15 19:30 russ4262 Status new => closed
2020-09-15 19:30 russ4262 Resolution open => fixed